<!--<div class="confirmField">-->

<!--  <div class="pb-2 pt-4 fs-3 centerText"><h3>Подтверждение регистрации</h3></div>-->

<!--  <div class="d-grid col-10 mx-auto mb-4 mt-2 centerText">На указанный Вами адрес электронной почты было направлено-->
<!--    письмо с кодом для подтверждения регистрации, введите код из письма в поле ниже.-->
<!--  </div>-->

<!--  <div class="mb-3 d-grid col-4 mx-auto">-->
<!--    <input type="text" class="form-control" id="exampleFormControlInput8" placeholder="Код">-->
<!--  </div>-->

<!--&lt;!&ndash;  <button class="btn btn-success d-grid col-3 mx-auto mb-3" routerLink="/">Подтвердить</button>&ndash;&gt;-->
<!--  <button class="btn btn-success d-grid col-3 mx-auto mb-3" (click)="this.checkCode()">Подтвердить</button>-->

<!--  <div class="centerText pb-5">Код не пришел? <span class="link">Отправить повторно</span></div>-->

<!--</div>-->


<section class="h-100" style="background-color: #4454C1;">

  <div class="container h-100">
    <div class="row justify-content-sm-center h-100">
      <div class="col-5">
        <div class="card shadow-lg my-4">
          <div class="card-body p-5 text-center">
            <div class="pb-5 pt-4 fs-4 centerText"><h1>Подтверждение регистрации</h1></div>
              <div class="d-grid col-12 mx-auto mb-4 mt-2 centerText">На указанный Вами адрес
                электронной почты было направлено
                письмо с кодом для подтверждения регистрации, введите код из письма в поле ниже.
              </div>
            <form [formGroup]="confirmForm" novalidate>

              <!-- code -->
              <div class="mb-3 form-outline text-center col-8 mx-auto">
                <label class="form-label mb-1" for="inputName">Введите полученный код</label>
                <input type="text" formControlName="code" class="form-control"
                       id="inputName" placeholder="Код">
                <div
                  *ngIf="confirmForm.controls['code'].invalid && (confirmForm.controls['code'].dirty || confirmForm.controls['code'].touched)"
                  class="alert alert-danger">
                  <div *ngIf="confirmForm.controls['code'].errors?.['code']">
                    Необходимо ввести код.
                  </div>
                </div>
              </div>
              <button type="button" [disabled]="confirmForm.pristine || confirmForm.invalid"
                      class="btn btn-success d-grid col mx-auto mb-3 regSubmit"
                      (click)="this.checkCode()">
                Зарегистрироваться
              </button>
            </form>
          </div>
        </div>

      </div>
    </div>
  </div>
</section>

<!--modal window-->
<div class="backdrop" [ngStyle]="{'display':display}"></div>
<div class="modal" tabindex="-1" role="dialog" [ngStyle]="{'display':display}">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-body text-center">
        <h5>{{this.message}}</h5>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default btn-success btn-md" (click)="onCloseHandled()">
          Закрыть
        </button>
      </div>
    </div>
  </div>
</div>

